Public Class synclog

    Private Sub bt_clearStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bt_clear.Click
        Me.RichTextBox1.Clear()
    End Sub

    Private Sub bt_savelist_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bt_savelist.Click
        Dim SD As New SaveFileDialog
        SD.FileName = "불일치목록log" & Format(Now, "yyyyMMdd") & ".txt"
        If SD.ShowDialog() <> Windows.Forms.DialogResult.OK Then
            MsgBox("취소되었습니다", MsgBoxStyle.Critical, "사용자취소")
        Else
            Me.RichTextBox1.SaveFile(SD.FileName, RichTextBoxStreamType.PlainText)
            MsgBox("저장완료", MsgBoxStyle.Information, "확인")
        End If
    End Sub

    Private Sub ToolStripMenuItem2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItem2.Click
        Me.RichTextBox2.Clear()
    End Sub

    Private Sub ToolStripMenuItem3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItem3.Click
        Dim SD As New SaveFileDialog
        SD.FileName = "일치목록log" & Format(Now, "yyyyMMdd") & ".txt"
        If SD.ShowDialog() <> Windows.Forms.DialogResult.OK Then
            MsgBox("취소되었습니다", MsgBoxStyle.Critical, "사용자취소")
        Else
            Me.RichTextBox2.SaveFile(SD.FileName, RichTextBoxStreamType.PlainText)
            MsgBox("저장완료", MsgBoxStyle.Information, "확인")
        End If
    End Sub

 

    Private Sub bt_out1ripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bt_out1.Click
        Dim a As New SaveFileDialog
        a.Filter = "엑셀 워크시트파일(*.XLS)|*.XLS"
        a.FilterIndex = 0
        a.Title = "[모든데이터내보내기] 저장할 엑셀 파일을 지정하세요"
        a.FileName = "비포함목록.xls"
        If a.ShowDialog() <> Windows.Forms.DialogResult.Cancel Then
            Dim msg As New System.Text.StringBuilder
            Me.view1.SaveExcel(a.FileName, FarPoint.Excel.ExcelSaveFlags.SaveAsViewed)
            msg.AppendLine("[시트보호]가 된파일은 열너비가 조정되지않습니다.")
            msg.AppendLine()
            msg.AppendLine()
            msg.AppendLine("[시트보호] 상태에서는 시트를 편집할 수 없습니다")
            msg.AppendLine()
            msg.AppendLine("[시트보호]를 해제하려면  해당파일을 엑셀에서 불러온후")
            msg.AppendLine("[도구]-[보호]-[시트보호해제]를 클릭하세요")
            MsgBox(msg.ToString, MsgBoxStyle.Information, "시트보호")
        End If
    End Sub
End Class